### Method

# FwupdPlugin Volume get_partition_kind

since: 1.8.13

#### Declaration [src]

    gchar*
    fu_volume_get_partition_kind (
      FuVolume* self
    )

#### Description [src]

Gets the partition kind of the volume mount point.

NOTE: If you want this to be converted to a GPT-style GUID then use `fu_volume_kind_convert_to_gpt()` on the return value of this function.

Available since: 1.8.13

#### Return value

Type: `gchar*`

Partition kind, e.g. `0x06`, `vfat` or a GUID like `FU_VOLUME_KIND_ESP`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.